Update the fields of a budget. Send only the fields to change. You cannot change id, created_at, updated_at, project_id and revision. Dates use the ISO 8601 format. You must be an administrator.
PUT
/data/budgets/{instance_id}
curl \
--request PUT '/api/data/budgets/a24a6ea4-ce75-4665-a070-57453082c250' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"name": "Updated Budget Q1"
}'
Request examples
{
"name": "Updated Budget Q1"
}
Response examples (200)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"project_id": "b24a6ea4-ce75-4665-a070-57453082c250",
"name": "Updated Budget Q1",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}